Package org.eclipse.emf.cdo.util

# Class ConcurrentAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.emf.cdo.util.CommitException
org.eclipse.emf.cdo.util.ConcurrentAccessException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CommitConflictException`, `ContainmentCycleException`, `OptimisticLockingException`

public class ConcurrentAccessException extends CommitException
A `commit exception` that indicates problems that are caused by concurrent access to the repository.

Subtypes of this exception allow to determine a more specific reason for the problem. They all have in common that it's usually possible and adequate to `rollback` the transaction, replay the model modifications and commit the transaction again.

Since:
  4.2
Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This interface is not intended to be extended by clients.
No Instantiate
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ConcurrentAccessException()`
`ConcurrentAccessException(String message)`
`ConcurrentAccessException(String message, Throwable cause)`
`ConcurrentAccessException(Throwable cause)`

## Method Summary

### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

`isLocal, wrap`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConcurrentAccessException

public ConcurrentAccessException()

### ConcurrentAccessException

public ConcurrentAccessException(String message, Throwable cause)

### ConcurrentAccessException

public ConcurrentAccessException(String message)

### ConcurrentAccessException

public ConcurrentAccessException(Throwable cause)